GENWQE_VPDUPDATE(1)

NAME
genwqe_vpdupdate - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_vpdupdate [OPTIONS]...

DESCRIPTION
Mandatory arguments to long options are mandatory for short options too.

-h, --help
    print usage information

-V, --version
    print version

-C, --card=CARDNO

-f, --file=VPD.BIN

-d, --dump
    use multiple d to increase dump info

-u, --update
    set this flag for update VPD

-s, --show
    set this flag to display VPD from a card

-v, --verbose
    verbose level, use multiple v's to increase

This utility updates the Genwqes FLASH with new VPD information from a *.bin file. Do not disconnect the card from power while updating. Ensure you have the correct update image. Use of incorrect images or interrupting the update will make the card unusable. In this case you need a USB-Blaster utility or similar to get it working again.

  Example flashing new vpd to GenWQE card:

    ./genwqe_vpdupdate -C0 -f vpd.bin

  Example to display vpd from GenWQE card to stdout:

    ./genwqe_vpdupdate -C0 -s

  Example to display and dump vpd from GenWQE card to stdout:

    ./genwqe_vpdupdate -C0 -s -d